# class KOpenWithHandler | Handler for KRun's displayOpenWithDialog() call. More...
Definition | `#include <krun.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KOpenWithHandler ()
- virtual ~KOpenWithHandler ()
- virtual bool displayOpenWithDialog ( const KURL::List& urls )

#### Public Static Methods

- static KOpenWithHandler * getOpenWithHandler ()
- static bool exists ()

## Detailed Description

This class handles the displayOpenWithDialog call, made by KRun when it has no idea what to do with a URL. The default implementation is to print a huge fat warning This behaviour is overriden by KFileOpenWithHandler, in libkfile, which displays the real open-with dialog box.

If you use KRun you `need` to create an instance of KFileOpenWithHandler (except if you can make sure you only use it for executables or Type=Application desktop files)

See also: KFileOpenWithHandler

KOpenWithHandler () | ### KOpenWithHandler

~KOpenWithHandler () | ### ~KOpenWithHandler

[virtual]

bool displayOpenWithDialog ( const KURL::List& urls ) | ### displayOpenWithDialog

[virtual]

Opens an open-with dialog box for `urls`

Returns: true if the operation succeeded

KOpenWithHandler * getOpenWithHandler () | ### getOpenWithHandler

[static]

Call this to get the (only) instance of KOpenWithHandler

bool exists () | ### exists

[static]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.